<template>
  <v-row class="mt-2">
    <v-col>
      <v-card>
        <v-data-table
          :headers="headers"
          :items="topSpendingUser"
          :items-per-page="5"
          :search="search"
          class="elevation-1"
        >
          <template v-slot:item.action="{ item }">
            <v-btn icon @click="goToEdit(item)" color="primary"
              ><v-icon>mdi-pencil</v-icon></v-btn
            >
            <v-btn icon @click="showModalDelete(item.name)" color="#e21717"
              ><v-icon>mdi-delete</v-icon></v-btn
            >
          </template>
        </v-data-table>
        <v-fab-transition fluid style="z-index: 100">
          <v-btn fab fixed color="#008ef8" @click="gotoAdd()" bottom right>
            <span class="text-white-sm">
              <v-icon>mdi-plus</v-icon>
            </span>
          </v-btn>
        </v-fab-transition>
      </v-card>
    </v-col>
  </v-row>
</template>

<script>
export default {
  name: "TableViewDashboard",
  data() {
    return {
      headers: [
        { text: "Nmae", value: "name" },
        { text: "Email", value: "email" },
        { text: "Order Count", value: "orderCount" },
        { text: "Amount Count", value: "amountSpent" },
        { text: "", value: "action" }
      ],
      topSpendingUser: [
        {
          name: "Raden Kian Santang",
          email: "kian@gmail.com",
          orderCount: 5,
          amountSpent: "RP 12.000.000"
        },
        {
          name: "Raden Kian Santang",
          email: "kian@gmail.com",
          orderCount: 5,
          amountSpent: "RP 12.000.000"
        },
        {
          name: "Raden Kian Santang",
          email: "kian@gmail.com",
          orderCount: 5,
          amountSpent: "RP 12.000.000"
        },
        {
          name: "Raden Kian Santang",
          email: "kian@gmail.com",
          orderCount: 5,
          amountSpent: "RP 12.000.000"
        },
        {
          name: "Raden Kian Santang",
          email: "kian@gmail.com",
          orderCount: 5,
          amountSpent: "RP 12.000.000"
        },
        {
          name: "Raden Kian Santang",
          email: "kian@gmail.com",
          orderCount: 5,
          amountSpent: "RP 12.000.000"
        },
        {
          name: "Raden Kian Santang",
          email: "kian@gmail.com",
          orderCount: 5,
          amountSpent: "RP 12.000.000"
        },
        {
          name: "Raden Kian Santang",
          email: "kian@gmail.com",
          orderCount: 5,
          amountSpent: "RP 12.000.000"
        },
        {
          name: "Raden Kian Santang",
          email: "kian@gmail.com",
          orderCount: 5,
          amountSpent: "RP 12.000.000"
        },
        {
          name: "Raden Kian Santang",
          email: "kian@gmail.com",
          orderCount: 5,
          amountSpent: "RP 12.000.000"
        }
      ]
    };
  }
};
</script>
